<%@ page
	pageEncoding="UTF-8"
	session="false"
	errorPage="error-page.jsp"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie.delivery", true);
final String ID = sc.getId();
%>
<base:page sc="<%=sc%>" type="iframe" noskin="true" title="Prov med ankomstdatum de senaste 30 dagarna">
<base:head 
	scripts="~../reggie-2.js,~list.js" 
	styles="~delivery.css"
	>
<style>
.content
{
	font-size: 1.5rem;
	margin: 1rem 2rem;
	border-width: 2px;
	border-radius: 0.5rem 0.5rem;
}

h1
{
	background-color: #E8E8E8;
	border-bottom-width: 2px;
	font-size: 2rem;
	color: #000000;
	padding: 0.5rem 1.5rem;
	border-radius: 0.25rem 0.25rem 0 0;
}

table
{
	width: 100%;
}

thead
{
	background-color: #E8E8E8;
	border-top-width: 2px;
}

tbody
{
	border-top-width: 2px;
}

th, td
{
	padding: 0.25rem;
	text-align: left;
}

td.section-header
{
	border-right-width: 2px;
	vertical-align: top;
	height: 12rem; /* To make sure the text fits. If needed override this on specific element */
	max-width: 2rem;
	min-width: 2rem;
	white-space: nowrap;
}

td.section-header.small
{
	height: 2rem;
}

tr.new-report
{
	background-color: #f8f8d8;
}


tr.new-report .section-header
{
	background-color: rgb(255, 255, 0);	
}

tr.work-in-progress .section-header
{
	background-color: rgb(192, 192, 255);	
}


.rotate
{
	transform: rotate(-90deg) translateX(-0.5rem) translateY(-2px);
	direction: rtl; /* to make it go down from the top instead of up */
}

#control-section
{
	position: relative;
	margin: 0.5rem;
	padding: 1rem;
	height: 7rem;
}

#user-section
{
	position: absolute;
	top: 0;
	right: 0.5rem;
	text-align: right;
}

#current-username
{
	font-weight: bold;
	font-style: italic;
}

#btnLogout
{
	margin-top: 0.25rem;
}

#auto-logout
{
	font-size: 1rem;
}

#search
{
	width: 35rem; 
	margin-right: 1rem;
}

#month-list
{
	position: absolute;
	max-height: 40rem;
	width: 18rem;
	overflow: auto;
	background-color: #FFFFFF;
	border-width: 2px;
	border-radius: 0.5rem;
	box-shadow: 0px 0px 6px #B8B8B8;
}

#month-list .month
{
	padding: 0.5rem 1rem 0.5rem 3rem;
}

#month-list .new-year
{
	border-top-width: 1px;
}

#month-list .month:hover
{
	cursor: pointer;
	background-color: #E8E8E8;
}

#month-list .full-year
{
	padding-left: 1rem;
	font-weight: bold;
}

#message-text
{
	text-align: center;
	padding: 1.5rem;
}

.error-text
{
	margin-top: 0.5rem;
	font-size: 1.25rem;
	color: #C80000;
}

.completed-without-report
{
}

</style>
</base:head>
<base:body data-session-id="<%=ID%>">

	<div class="content">
		<h1 id="page-title">Prov med ankomstdatum de senaste 30 dagarna</h1>

		<div id="control-section">
			<div id="user-section" style="display: none;">
				Inloggad som <span id="current-username">-</span><br>
				<span id="auto-logout"></span><br>
				<base:button id="btnLogout" title="Logga ut" />
			</div>
			
			<div id="search-reports">
				<input id="search" type="text" 
					placeholder="Personnummer, PAD eller SCAN-B ID" 
					><img id="btnSearch" class="link" src="images/search-26.png">
			</div>

			<div style="margin-top: 0.5rem;">
				Visa rapporter för en <span id="search-by-month" class="link">annan månad</span>
				/ <span id="search-last-30" class="link">de senaste 30 dagarna</span>.
			</div>
		</div>

		<div id="month-list" style="display: none;"></div>
		
		<table>
		<thead>
			<tr>
				<th></th>
				<th>Personnummer</th>
				<th>Namn</th>
				<th>PAD</th>
				<th>SCAN-B ID</th>
				<th>Ankomstdatum</th>
				<th>Rapportdatum</th>
				<th>Nerladdad</th>
				<th></th>
			</tr>
		</thead>

		<tbody id="new-reports-section" style="display: none;"></tbody>
		<tbody id="work-in-progress-section" style="display: none;"></tbody>
		<tbody id="archive-section" style="display: none;"></tbody>
		<tbody id="message-section" style="display: none;">
			<tr><td colspan="8" id="message-text"></td></tr>
		</tbody>
		</table>
		
		<div class="version"></div>
	</div>
			
</base:body>
</base:page>
